﻿Module Module_NumericCommands

    Private CommandStatus As Int32 = 0

    Friend Sub PollNumericCommandsSlot()
        Dim n As Single = Slots.ReadSlot(CommandSlot)
        Select Case CommandStatus
            Case 0                                  ' Waiting NANs or 333
                If IsNanRecognize(n) Then
                    Form1.Cmd_Recognize()
                ElseIf IsNanCalibrate(n) Then
                    'DoCalibrationAndResetTime()  (unimplemented in ArduinoModules)
                End If
                If n = 333 Then
                    CommandStatus = 1
                End If
            Case 1                                  ' Waiting 666
                Select Case n
                    Case 333
                        '
                    Case 666
                        CommandStatus = 2
                    Case Else
                        CommandStatus = 0
                End Select
            Case 2                                  ' Waiting commands "1" or "2"
                Select Case n
                    Case 666
                        '
                    Case Else
                        If n = 1 Then
                            Form1.Cmd_Recognize()
                        ElseIf n = 2 Then
                            'DoCalibrationAndResetTime()  (unimplemented in ArduinoModules)
                        End If
                        CommandStatus = 0
                End Select
        End Select
    End Sub

End Module
