﻿Module SearchArduinoPaths

    ' -------------------------------------------------------------------- set the base path
    Friend ArduinoPath As String = "C:\Program Files (x86)\Arduino\"

    Friend ThemeFilePath As String

    Friend Function TestArduinoExePath() As Boolean
        Do
            ThemeFilePath = ArduinoPath.Trim("\"c) + "\lib\theme\"
            If IO.File.Exists(ThemeFilePath + "theme.txt") Then
                Return True
            Else
                ArduinoPath = InputBox("Path not valid: " + vbCrLf + vbCrLf + _
                                       "Please input the ""ARDUINO.EXE"" path", _
                                       "Message from ArduHelper")
                If ArduinoPath = "" Then
                    Return False
                End If
            End If
        Loop
    End Function

End Module
